com.google.gwt.user.client.ui

## Interface HasVerticalAlignment

- All Known Subinterfaces:
    HasAlignment
  All Known Implementing Classes:
    Column, DockPanel, HorizontalPanel, IdentityColumn, TextColumn, VerticalPanel

      public interface HasVerticalAlignment

  Characteristic interface which indicates that a widget has an associated vertical alignment.

  ### Use in UiBinder Templates

  The names of the static members of `HasVerticalAlignment.VerticalAlignmentConstant`, as well as simple alignment names (`top`, `middle`, `bottom`), can be used as values for a `verticalAlignment` attribute of any widget that implements this interface. (In fact, this will work for any widget method that takes a single VerticalAlignmentConstant value.)

  For example,

       <g:VerticalPanel verticalAlignment='ALIGN_BOTTOM' />
       <g:VerticalPanel verticalAlignment='bottom' />

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `HasVerticalAlignment.VerticalAlignmentConstant` Horizontal alignment constant.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HasVerticalAlignment.VerticalAlignmentConstant` | `ALIGN_BOTTOM` Specifies that the widget's contents should be aligned to the bottom.
    `static HasVerticalAlignment.VerticalAlignmentConstant` | `ALIGN_MIDDLE` Specifies that the widget's contents should be aligned in the middle.
    `static HasVerticalAlignment.VerticalAlignmentConstant` | `ALIGN_TOP` Specifies that the widget's contents should be aligned to the top.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HasVerticalAlignment.VerticalAlignmentConstant` | `getVerticalAlignment()` Gets the vertical alignment.
    `void` | `setVerticalAlignment(HasVerticalAlignment.VerticalAlignmentConstant align)` Sets the vertical alignment.

- - ### Field Detail

    - #### ALIGN_BOTTOM

          static final HasVerticalAlignment.VerticalAlignmentConstant ALIGN_BOTTOM

      Specifies that the widget's contents should be aligned to the bottom.

    - #### ALIGN_MIDDLE

          static final HasVerticalAlignment.VerticalAlignmentConstant ALIGN_MIDDLE

      Specifies that the widget's contents should be aligned in the middle.

    - #### ALIGN_TOP

          static final HasVerticalAlignment.VerticalAlignmentConstant ALIGN_TOP

      Specifies that the widget's contents should be aligned to the top.

  - ### Method Detail

    - #### getVerticalAlignment

          HasVerticalAlignment.VerticalAlignmentConstant getVerticalAlignment()

      Gets the vertical alignment.
      Returns:
        the current vertical alignment.

    - #### setVerticalAlignment

          void setVerticalAlignment(HasVerticalAlignment.VerticalAlignmentConstant align)

      Sets the vertical alignment.
      Parameters:
        `align` - the vertical alignment ( `ALIGN_TOP`, `ALIGN_MIDDLE`, or `ALIGN_BOTTOM`).